// priority: 0

// Visit the wiki for more info - https://kubejs.com/



StartupEvents.registry('item', e => {


  // If you want to specify a different texture location you can do that too, like this:
  e.create('apple_tietu').texture('kubejs:item/apple_tietu') // This texture would be located at kubejs/assets/mobbo/textures/item/lava.png
  //e.create('jianxianqian_yayinmuban').texture('kubejs:item/jianxianqian_yayinmuban')
  e.create('wirecutter_head_mold')
    .texture('kubejs:item/wirecutter_head_mold')
    .displayName('工程师剪线钳头模具')
  //魔力钢TFC适配
  e.create('manasteel_iron_double_sheet')
    .texture('kubejs:item/manasteel_iron_ds')
    .displayName('魔力钢双层薄板')
  e.create('manasteel_iron_sheet')
    .texture('kubejs:item/manasteel_iron_s')
    .displayName('魔力钢薄板')
  e.create('manasteel_iron_double_ingot')
    .texture('kubejs:item/manasteel_iron_di')
    .displayName('魔力钢双锭')
  e.create('manasteel_iron_sword_blade')
    .texture('kubejs:item/manasteel_iron_sword_blade')
    .displayName('魔力钢剑刃')
  e.create('manasteel_iron_shovel_head')
    .texture('kubejs:item/manasteel_iron_shovel_head')
    .displayName('魔力钢铲头')
  e.create('manasteel_iron_pickaxe_head')
    .texture('kubejs:item/manasteel_iron_pickaxe_head')
    .displayName('魔力钢镐头')
  e.create('manasteel_iron_hoe_head')
    .texture('kubejs:item/manasteel_iron_hoe_head')
    .displayName('魔力钢锄头')
  e.create('manasteel_iron_axe_head')
    .texture('kubejs:item/manasteel_iron_axe_head')
    .displayName('魔力钢斧头')
  e.create('unfinished_manasteel_helmet')
    .texture('kubejs:item/unfinished_manasteel_helmet')
    .displayName('未注魔的魔力钢头盔')
  e.create('unfinished_manasteel_chestplate')
    .texture('kubejs:item/unfinished_manasteel_chestplate')
    .displayName('未注魔的魔力钢胸甲')
  e.create('unfinished_manasteel_leggings')
    .texture('kubejs:item/unfinished_manasteel_leggings')
    .displayName('未注魔的魔力钢护腿')
  e.create('unfinished_manasteel_boots')
    .texture('kubejs:item/unfinished_manasteel_boots')
    .displayName('未注魔的魔力钢靴子')
  //泰拉钢
  e.create('terrasteel_iron_double_sheet')
    .texture('kubejs:item/terrasteel_iron_ds')
    .displayName('泰拉钢双层薄板')
  e.create('terrasteel_iron_sheet')
    .texture('kubejs:item/terrasteel_iron_s')
    .displayName('泰拉钢薄板')
  e.create('terrasteel_iron_double_ingot')
    .texture('kubejs:item/terrasteel_iron_di')
    .displayName('泰拉钢双锭')
  e.create('unfinished_terrasteel_helmet')
    .texture('kubejs:item/unn_terrasteel_helmet')
    .displayName('未注魔的泰拉钢头盔')
  e.create('unfinished_terrasteel_chestplate')
    .texture('kubejs:item/unn_terrasteel_chestplate')
    .displayName('未注魔的泰拉钢胸甲')
  e.create('unfinished_terrasteel_leggings')
    .texture('kubejs:item/unn_terrasteel_leggings')
    .displayName('未注魔的泰拉钢护腿')
  e.create('unfinished_terrasteel_boots')
    .texture('kubejs:item/unn_terrasteel_boots')
    .displayName('未注魔的泰拉钢靴子')
  //双相黄铜
  e.create('high_brass_ingot')
    .texture('kubejs:item/high_brass')
    .displayName('高锌黄铜锭')
    .tooltip('失去些许脆硬，换来更强的抗剪切和稳定的化学性质')
  e.create('high_brass_double_ingot')
    .texture('kubejs:item/high_brass_double_ingot')
    .displayName('高锌黄铜双锭')
  e.create('high_brass_double_sheet')
    .texture('kubejs:item/high_brass_double_sheet')
    .displayName('高锌黄铜双层薄板')
  e.create('high_brass_sheet')
    .texture('kubejs:item/high_brass_sheet')
    .displayName('高锌黄铜薄板')
  //黄铜齿轮
  e.create('brass_gear')
    .texture('kubejs:item/brass_gear')
    .displayName('黄铜齿轮')
  //人工石油
  e.create('artificial_oil')
    .texture('kubejs:item/artificial_oil2')
    .displayName('人工石油聚合球')
    .tooltip('分子重塑，行，宁就是假面骑士空我')
    .burnTime(24000)
  //石英砂
  e.create('tfc_quartz_dust')
    .texture('kubejs:item/tfc_quartz_dust')
    .displayName('石英砂')
  e.create('unpure_boric_acid')
    .texture('kubejs:item/unpure_boric_acid')
    .displayName('不纯硼酸结晶')
    .tooltip('硼酸和各种玩意儿的结晶')
  e.create('ultra_ball')
    .texture('kubejs:item/ultra_ball')
    .displayName('韦斯莱球')
    .tooltip('团结智慧的人类昂扬不灭')
    .rarity('rare')
  //.rarity('str')#设定物品的稀有度，输入字符串，e.g.常见："common"，少见：“uncommon”，稀有：“rare”，史诗：“epic”
  e.create('unfinished_ball')
    .texture('kubejs:item/unfinished_ball')
    .displayName('不稳定聚合球')
    .tooltip('松散的聚合物，简直一触即溃')
  e.create('limiting_compressive_strong_interaction_stabilizes_polymerization_spheres')
    .texture('kubejs:item/limiting_compressive_strong_interaction_stabilizes_polymerization_spheres')
    .displayName('极限压缩强相互作用稳定聚合球')
    .tooltip('如狂人一般，屹立于群峦之巅')
    .rarity('epic')
  e.create('boric_acid')
    .texture('kubejs:item/unpure_boric_acid')
    .displayName('硼酸结晶')
    .tooltip('纯正的硼酸结晶，用途广，味道...好吧没啥味儿')
  e.create('pure_quartz_sand')
    .texture('kubejs:item/pure_quartz_sand')
    .displayName('纯净石英砂')
    .tooltip('硬而脆')
  e.create('silicon_crystal')
    .texture('kubejs:item/refined_silicon_crystal_a')
    .displayName('精制硅晶')
  e.create('monocrystalline_silicon_wafer')
    .texture('kubejs:item/monocrystalline_silicon_wafer')
    .displayName('单晶硅片')
    .tooltip('优秀的半导体制品')
  //玻璃纤维、下界合金
  /*
  e.create('netherite_double_ingot')
  .texture('kubejs:item/netherite_double_ingot')
  .displayName('下界合金双锭')
  e.create('netherite_sheet')
  .texture('kubejs:item/netherite_sheet')
  .displayName('下界合金薄板')
  */
  e.create('netherite_screen')
    .texture('kubejs:item/netherite_screen')
    .displayName('高性能下界合金多孔筛网')
  e.create('glass_fibre')
    .texture('kubejs:item/glass_fibre')
    .displayName('高强度玻璃纤维')
    .tooltip('别捏断了')
  e.create('glass_fibre_cloth')
    .texture('kubejs:item/glass_fibre_cloth')
    .displayName('玻璃纤维编织布')
    .tooltip('这下捏不断了')
  e.create('nugget_obsidian')
    .texture('kubejs:item/nugget_obsidian')
    .displayName('黑曜石碎片')
  //铬倍矿零件
  e.create('clump_chromite')
      .texture('kubejs:item/chromite/clump_chromite')
      .displayName('铬碎块')
  e.create('crystal_chromite')
      .texture('kubejs:item/chromite/crystal_chromite')
      .displayName('铬晶体')
  e.create('dirty_dust_chromite')
      .texture('kubejs:item/chromite/dirty_dust_chromite')
      .displayName('污浊铬粉')
  e.create('dust_chromite')
      .texture('kubejs:item/chromite/dust_chromite')
      .displayName('铬粉')
  e.create('shard_chromite')
      .texture('kubejs:item/chromite/shard_chromite')
      .displayName('铬碎片')
  e.create('powder_chromite')
      .texture('kubejs:item/chromite/powder_chromite')
      .displayName('铬尖晶石粉末')
  e.create('raw_chromite')
      .texture('kubejs:item/chromite/raw_chromite')
      .displayName('粗铬')
  //铝倍矿零件
  e.create('clump_aluminum')
    .texture('kubejs:item/clump_aluminum')
    .displayName('铝碎块')
  e.create('crystal_aluminum')
    .texture('kubejs:item/crystal_aluminum')
    .displayName('铝晶体')
  e.create('dirty_dust_aluminum')
    .texture('kubejs:item/dirty_dust_aluminum')
    .displayName('污浊铝粉')
  e.create('dust_aluminum')
    .texture('kubejs:item/dust_aluminum')
    .displayName('铝粉')
  e.create('shard_aluminum')
    .texture('kubejs:item/shard_aluminum')
    .displayName('铝碎片')
  //锌倍矿零件
  e.create('clump_zinc')
    .texture('kubejs:item/clump_zinc')
    .displayName('锌碎块')
  e.create('crystal_zinc')
    .texture('kubejs:item/crystal_zinc')
    .displayName('锌晶体')
  e.create('dirty_dust_zinc')
    .texture('kubejs:item/dirty_dust_zinc')
    .displayName('污浊锌粉')
  e.create('dust_zinc')
    .texture('kubejs:item/dust_zinc')
    .displayName('锌粉')
  e.create('shard_zinc')
    .texture('kubejs:item/shard_zinc')
    .displayName('锌碎片')
  //银倍矿零件
  e.create('clump_silver')
    .texture('kubejs:item/clump_silver')
    .displayName('银碎块')
  e.create('crystal_silver')
    .texture('kubejs:item/crystal_silver')
    .displayName('银晶体')
  e.create('dirty_dust_silver')
    .texture('kubejs:item/dirty_dust_silver')
    .displayName('污浊银粉')
  e.create('dust_silver')
    .texture('kubejs:item/dust_silver')
    .displayName('银粉')
  e.create('shard_silver')
    .texture('kubejs:item/shard_silver')
    .displayName('银碎片')

  //镍倍矿零件
  e.create('clump_nickel')
    .texture('kubejs:item/clump_nickel')
    .displayName('镍碎块')
  e.create('crystal_nickel')
    .texture('kubejs:item/crystal_nickel')
    .displayName('镍晶体')
  e.create('dirty_dust_nickel')
    .texture('kubejs:item/dirty_dust_nickel')
    .displayName('污浊镍粉')
  e.create('dust_nickel')
    .texture('kubejs:item/dust_nickel')
    .displayName('镍粉')
  e.create('shard_nickel')
    .texture('kubejs:item/shard_nickel')
    .displayName('镍碎片')

  //铋倍矿零件
  e.create('clump_bismuth')
    .texture('kubejs:item/clump_bismuth')
    .displayName('铋碎块')
  e.create('crystal_bismuth')
    .texture('kubejs:item/crystal_bismuth')
    .displayName('铋晶体')
  e.create('dirty_dust_bismuth')
    .texture('kubejs:item/dirty_dust_bismuth')
    .displayName('污浊铋粉')
  e.create('dust_bismuth')
    .texture('kubejs:item/dust_bismuth')
    .displayName('铋粉')
  e.create('shard_bismuth')
    .texture('kubejs:item/shard_bismuth')
    .displayName('铋碎片')
  e.create('nugget_bismuth')
    .texture('kubejs:item/nugget_bismuth')
    .displayName('铋粒')
  //粉碎各种矿
  e.create('crushed_raw_bauxite')
    .texture('kubejs:item/crushed_raw_bauxite')
    .displayName('粉碎铝土矿')
  e.create('crushed_raw_galena')
    .texture('kubejs:item/crushed_raw_galena')
    .displayName('粉碎方铅矿')
  e.create('k_crushed_raw_zinc')
    .texture('kubejs:item/k_crushed_raw_zinc')
    .displayName('粉碎锌矿石')
  e.create('k_crushed_raw_iron')
    .texture('kubejs:item/crushed_raw_iron')
    .displayName('粉碎铁矿石')
  e.create('crushed_raw_chromite')
    .texture('kubejs:item/crushed_raw_chromite')
    .displayName('粉碎铬矿石')
  e.create('crushed_raw_bismuth')
    .texture('kubejs:item/crushed_raw_bismuth')
    .displayName('粉碎铋矿石')
  e.create('nugget_chromite')
    .texture('kubejs:item/metal_nugget_chromite')
    .displayName('铬粒')
  //造纸术
  e.create('paper_curtain')
    .texture('kubejs:item/paper_curtain')
    .displayName('纸帘')
    .tooltip('用来承接纸浆和滤水还是办得到的')
  e.create('paper_curtain_a')
    .texture('kubejs:item/paper_curtain_a')
    .displayName('浸浆纸帘')
    .tooltip('承载着崭新的开始')
  e.create('paper_curtain_b')
    .texture('kubejs:item/paper_curtain_b')
    .displayName('晒干的浸浆纸帘')
    .tooltip('小小的纸儿，四四方方，东汉蔡伦造纸张~')
  //燃料物品
  e.create('tfc_bituminous_coal')
    .texture('kubejs:item/bituminous_coal')
    .displayName('烟煤')
    .burnTime(1600)
  e.create('tfc_lignite')
    .texture('kubejs:item/lignite')
    .displayName('褐煤')
    .burnTime(1200)
  //海带-黑胶
  e.create('black_glue')
    .texture('kubejs:item/black_glue')
    .displayName('黑胶')
    .tooltip('咦，粘手')
  e.create('black_glue_tape')
    .texture('kubejs:item/black_glue_tape')
    .displayName('黑胶块')
    .tooltip('容易碎裂，但耍着玩还是经得住的')
  //钢、铁机械零件中间产物
  e.create('m_material_component_iron')
    .texture('kubejs:item/material_component_iron')
    .displayName('未完工的铁机械零件')
  e.create('m_material_component_steel')
    .texture('kubejs:item/material_component_steel')
    .displayName('未完工的钢机械零件')
  e.create('m_mechanical_drill')
    .texture('kubejs:item/create_banchengpin')
    .displayName('未完工的动力钻头')
  e.create('m_flywheel')
    .texture('kubejs:item/create_banchengpin')
    .displayName('未完工的飞轮')
  e.create('m_auto_mana_creategather')
    .texture('kubejs:item/create_banchengpin')
    .displayName('未完工的魔力势阱发生器')
  e.create('m_coil_mv')
    .texture('kubejs:item/wrought_iron_rod')
    .displayName('未完工的琥珀金线圈')
  e.create('m_coil_lv')
    .texture('kubejs:item/wrought_iron_rod')
    .displayName('未完工的铜线圈')
  e.create('m_red_bucket')
    .texture('kubejs:item/m_red_bucket')
    .displayName('未完工的红钢桶')
  e.create('m_blue_bucket')
    .texture('kubejs:item/m_blue_bucket')
    .displayName('未完工的蓝钢桶')
  e.create('m_brass_gear')
    .texture('kubejs:item/brass_gear')
    .displayName('未完工的黄铜齿轮')
  e.create('m_brass_double_sheet')
    .texture('kubejs:item/brass_double_sheet')
    .displayName('未完工的黄铜双层薄板')
  e.create('m_mechanical_arm')
    .texture('kubejs:item/create_banchengpin')
    .displayName('未完工的动力臂')
  e.create('m_blue_double_sheet')
    .texture('kubejs:item/create_banchengpin')
    .displayName('未完工的蓝钢双薄板')
  e.create('m_red_double_sheet')
    .texture('kubejs:item/create_banchengpin')
    .displayName('未完工的红钢双薄板')
  e.create('m_brass_mechanisms')
    .texture('kubejs:item/create_banchengpin')
    .displayName('未完工的黄铜机件')
  e.create('m_spatula')
    .texture('kubejs:item/m_spatula')
    .displayName('未完工的锅铲')
  e.create('m_create_runic_altar')
    .texture('kubejs:item/create_banchengpin')
    .displayName('未完工的离心式半自动符文祭坛')
  e.create('m_steel_mechanism')
    .texture('kubejs:item/create_banchengpin')
    .displayName('未完工的集成工业构件')
  e.create('m_compression_reaction_core')
    .texture('kubejs:item/create_banchengpin')
    .displayName('未完工的压缩反应核心')



  //下界补充
  e.create('nether_red_crystals')
    .texture('kubejs:item/nether_red_crystals')
    .displayName('下界暗红石晶')
    .tooltip('下界岩中少量蕴含的晶体，硬度惊人')
    .rarity('rare'),



    //植物魔法——机械动力补充
    e.create('rune_magnetic')
      .texture('kubejs:item/rune_magnetic_t')
      .displayName('磁力集成刻印构件')
      .tooltip('将弱磁兰的特性重编译为新的符文并刻印下来，成为低成本的集成化元件')
      .rarity('rare')
  e.create('rune_gravity')
    .texture('kubejs:item/rune_gravity_t')
    .displayName('引力集成刻印构件')
    .tooltip('将手掌花的特性重编译为新的符文并刻印下来，成为低成本的集成化元件')
    .rarity('rare')
  e.create('steel_mechanism')
    .texture('kubejs:item/steel_mechanism')
    .displayName('集成工业构件')
    .rarity('rare')
  //沉浸补齐
  e.create('screw')
    .texture('kubejs:item/screw')
    .displayName('螺丝')
  e.create('engine_chamber')
    .texture('kubejs:item/engine_chamber')
    .displayName('引擎舱室')
  e.create('spark_plug')
    .texture('kubejs:item/spark_plug')
    .displayName('火花塞')
  e.create('m_diesel_engine_head')
    .texture('kubejs:item/engine_chamber')
    .displayName('未完成的燃油发动机')






  //沉浸工程机器贴图
  e.create('imm_arc_furnace')
    .texture('kubejs:item/imm_arc_furnace')
    .displayName('电弧炉'),
    e.create('imm_assembler')
      .texture('kubejs:item/imm_assembler')
      .displayName('装配机'),
    e.create('imm_auto_workbench')
      .texture('kubejs:item/imm_auto_workbench')
      .displayName('自动化工程师装配台'),
    e.create('imm_bottling_machine')
      .texture('kubejs:item/imm_bottling_machine')
      .displayName('灌装机')
  e.create('imm_crusher')
    .texture('kubejs:item/imm_crusher')
    .displayName('粉碎机')
  e.create('imm_diesel_generator')
    .texture('kubejs:item/imm_diesel_generator')
    .displayName('柴油发电机')
  e.create('imm_fermenter')
    .texture('kubejs:item/imm_fermenter')
    .displayName('工业发酵机')
  e.create('imm_lightningrod')
    .texture('kubejs:item/imm_lightningrod')
    .displayName('避雷针')
  e.create('imm_metal_press')
    .texture('kubejs:item/imm_metal_press')
    .displayName('金属冲压机')
  e.create('imm_mixer')
    .texture('kubejs:item/imm_mixer')
    .displayName('混合器')
  e.create('imm_refinery')
    .texture('kubejs:item/imm_refinery')
    .displayName('炼油厂')
  e.create('imm_sawmill')
    .texture('kubejs:item/imm_sawmill')
    .displayName('锯木机')
  e.create('imm_silo')
    .texture('kubejs:item/imm_silo')
    .displayName('储物筒仓')
  e.create('imm_squeezer')
    .texture('kubejs:item/imm_squeezer')
    .displayName('工业挤压机')
  e.create('imm_tank')
    .texture('kubejs:item/imm_tank')
    .displayName('流体储罐')
  e.create('imm_derrick')
    .texture('kubejs:item/imm_derrick')
    .displayName('井架')
  e.create('imm_pumpjack')
    .texture('kubejs:item/imm_pumpjack')
    .displayName('抽油机')
  e.create('imm_distillation_tower')
    .texture('kubejs:item/imm_distillation_tower')
    .displayName('蒸馏塔')
  e.create('imm_hydrotreater')
    .texture('kubejs:item/imm_hydrotreater')
    .displayName('高压精炼装置')

  e.create('meka_tool')
    .texture('kubejs:item/meka_tool')
    .displayName('meka工具')


  //玻璃模板补全
  e.create('raw_silica_glass_bottle_mold')
    .texture('kubejs:item/raw_silica_glass_bottle_mold')
    .displayName('未烧制的玻璃瓶子模具')
  e.create('raw_empty_jar_mold')
    .texture('kubejs:item/raw_empty_jar_mold')
    .displayName('未烧制的玻璃罐子模具')
  e.create('raw_lens_mold')
    .texture('kubejs:item/raw_lens_mold')
    .displayName('未烧制的镜片模具')
  e.create('raw_wine_glass_mold')
    .texture('kubejs:item/raw_wine_glass_mold')
    .displayName('未烧制的酒杯模具')

  e.create('silica_glass_bottle_mold')
    .texture('kubejs:item/silica_glass_bottle_mold')
    .displayName('玻璃瓶子模具')
  e.create('empty_jar_mold')
    .texture('kubejs:item/empty_jar_mold')
    .displayName('玻璃罐子模具')
  e.create('lens_mold')
    .texture('kubejs:item/glass_lens_mold')
    .displayName('镜片模具')
  e.create('wine_glass_mold')
    .texture('kubejs:item/wine_glass_mold')
    .displayName('酒杯模具')

  e.create('full_silica_glass_bottle_mold')
    .texture('kubejs:item/full_silica_glass_bottle_mold')
    .displayName('充满的玻璃瓶子模具')
  e.create('full_empty_jar_mold')
    .texture('kubejs:item/full_empty_jar_mold')
    .displayName('充满的玻璃罐子模具')
  e.create('full_lens_mold')
    .texture('kubejs:item/full_lens_mold')
    .displayName('充满的镜片模具')
  e.create('full_wine_glass_mold')
    .texture('kubejs:item/full_wine_glass_mold')
    .displayName('充满的酒杯模具')



  //符文补全
  e.create('rune_empty')
    .texture('kubejs:item/rune_empty')
    .displayName('空白符文')
  e.create('rune_ready')
    .texture('kubejs:item/rune_ready')
    .rarity('rare')
    .displayName('待篆刻符文')
  //多方块物品
  e.create('regular_octahedron_copper_cube')
    .texture('kubejs:item/regular_octahedron_copper_cube')
    .rarity('rare')
    .displayName('正八面体铜方')
  e.create('k_regular_octahedron_copper_cube')
    .texture('kubejs:item/copper')
    .rarity('rare')
    .displayName('未完成的正八面体铜方')



  e.create('life_medicine')
    .displayName('火玉断续膏')
    .texture('kubejs:item/life_medicine')
    .rarity('rare')
    .maxStackSize(16)
    .tooltip('物是人非，仍记得两人琴箫合奏,一曲笑傲江湖')
    .food(food => {
      food
        .hunger(1)
        .saturation(1) // 饱和度系数
        .alwaysEdible()
        .fastToEat()
        .effect('minecraft:regeneration', 160, 0, 1)
        // 参数：效果ID，持续时间（刻），效果等级（0=1级），触发概率（1=100%）
    })
  e.create('support_indicator')
    .displayName('地质锤')
    .texture('kubejs:item/support_indicator')
    .rarity('rare')
    .maxStackSize(1)
    .tooltip([
        '检测这个方块是否被支撑'
    ])
  
  //赞助物品
  e.create('david_martinez')
    .displayName('大卫 马丁内斯')
    .texture('kubejs:item/david_martinez')
    .rarity('epic')
    .maxStackSize(1)
    .tooltip([
        '伏特加加冰，兑小可可乐，只可惜没有子弹杯。生得伟大，死得光荣。',
        '赞助者：狼丶约'
    ])
    .food(food => {
      food
        .alwaysEdible()
        .effect('minecraft:speed', 160, 1, 1)
    })
    .useAnimation("drink")
    .containerItem('tfc:silica_glass_bottle')
  //食品农业补全
  e.create('animal_fat')
    .texture('kubejs:item/animal_fat')
    .displayName('动物脂肪')
  e.create('lard')
    .texture('kubejs:item/lard')
    .displayName('大油')
  e.create('cuisinedelight:ceshi')
    .texture('kubejs:item/high_meat_pasta2')
    .displayName('测试物品')
    .tooltip('用来减少营养值')
    .rarity('rare')
    .food(food => {
      food
        .hunger(0)
        .saturation(0)
    })

  e.create('e_pty_otto_rod', 'sword')
    .texture('kubejs:item/e_pty_otto_rod')
    .displayName('棍木')
    .tooltip('口口口口口口口')
    .rarity('epic')
    .maxStackSize(1)
    .tier('wood')

})

ItemEvents.modification(event => {
  event.modify("kubejs:e_pty_otto_rod", item => {
    item.attackDamage = 0,
    item.maxDamage = 2333,
    item.attackSpeed = 2.0
  })
})

StartupEvents.registry(
  'fluid', event => {
    event.create('andesite_alloy_fluid')
      //.thinTexture(0x869C8E)
      //.bucketColor(0x869C8E)
      .displayName('熔融安山合金')
      .stillTexture('kubejs:block/andesite_alloy_still')
      .flowingTexture('kubejs:block/andesite_alloy_flow')
      .noBlock()
      .noBucket()
    event.create('raw_stone_fluid')
      .stillTexture('kubejs:block/raw_stone_still')
      .flowingTexture('kubejs:block/raw_stone_flow')
      .noBlock()
      .displayName('熔融安山岩浆')
      .noBucket()

    event.create('boric_acid_solution')
      .displayName('硼酸溶液')
      .stillTexture('kubejs:block/borax_solution_still')
      .flowingTexture('kubejs:block/borax_solution_flow')
      .noBlock()

    event.create('dirty_zinc_fluid')
      .thinTexture(0xA5C0A0)
      .bucketColor(0xA5C0A0)
      .displayName('污浊锌浆液')
      .noBlock()
      .noBucket()
    event.create('clean_zinc_fluid')
      .thinTexture(0xD6FFDC)
      .bucketColor(0xD6FFDC)
      .displayName('纯净锌浆液')
      .noBlock()
      .noBucket()

    event.create('manasteel_fluid')
      .thinTexture(0x669C8E)
      .bucketColor(0x669C8E)
      .displayName('熔融魔力钢锭')
      .noBlock()
      .noBucket()
    event.create('terrasteel_fluid')
      .thinTexture(0x669C8E)
      .bucketColor(0x669C8E)
      .displayName('熔融泰拉钢锭')
      .noBlock()
      .noBucket()
    event.create('high_brass_fluid')
      .thinTexture(0xFFF79C)
      .bucketColor(0xFFF79C)
      .displayName('熔融高锌黄铜')
      .noBlock()
      .noBucket()
    event.create('osmium_fluid')
      .thinTexture(0xD6FFDC)
      .bucketColor(0xD6FFDC)
      .displayName('熔融锇')
      .noBlock()
      .noBucket()
    event.create('netherite_fluid')
      .thinTexture(0xFFF79C)
      .bucketColor(0xFFF79C)
      .displayName('熔融下界合金')
      .noBlock()
      .noBucket()
    event.create('gaia_fluid')
      .thinTexture(0xB980DA)
      .bucketColor(0xB980DA)
      .displayName('熔融盖亚魂锭')
      .noBlock()
      .noBucket()
    event.create('elementium_fluid')
      .thinTexture(0xE85DE3)
      .bucketColor(0xE85DE3)
      .displayName('熔融源质钢锭')
      .noBlock()
      .noBucket()
    event.create('alfsteel_fluid')
      .thinTexture(0xF37110)
      .bucketColor(0xF37110)
      .displayName('熔融精灵钢')
      .noBlock()
      .noBucket()
    event.create('hop_graphite_fluid')
      .thinTexture(0x171717)
      .bucketColor(0x171717)
      .displayName('熔融高定向热解石墨')
      .noBlock()
      .noBucket()

    event.create('nitric_acid')
      .thinTexture(0xFFF79C)
      .bucketColor(0xFFF79C)
      .displayName('硝酸')
    event.create('oxyhydrogen')
      .thinTexture(0xFFAE42)
      .bucketColor(0xFFAE42)
      .displayName('液氢液氧')
    event.create('paper_pulp')
      .thinTexture(0xF4EDD8)
      .bucketColor(0xF4EDD8)
      .displayName('纸浆')
    event.create('flue_gas')
      .thinTexture(0xF4EDD8)
      .bucketColor(0xF4EDD8)
      .displayName('废气')

    event.create('mana_fluid')
      .thinTexture(0x50B7C1)
      .bucketColor(0x50B7C1)
      .displayName('液相魔力')

  }
)

StartupEvents.registry('block', event => {
  event.create('normal_aluminum_andesite')
    .hardness(1.9)
    .displayName('安山岩原生铝')
    .tagBlock('minecraft:mineable/pickaxe')
    .tagBlock('minecraft:needs_iron_tool')
  event.create('high_brass_casing')
    .hardness(3.5)
    .displayName('高锌黄铜机壳')
    .tagBlock('minecraft:mineable/pickaxe')
    .tagBlock('minecraft:needs_iron_tool')
  event.create('livingwood_copper_croe_log', "slab")
    .hardness(3.2)
    .displayName('活木基座')
    .tagBlock('minecraft:mineable/axe')
    .tagBlock('minecraft:needs_iron_tool')
})

//mek注册
//获取mek的各种类
/*
const $EventBuses = Java.loadClass("dev.architectury.platform.forge.EventBuses")
const $SlurryDeferredRegister = Java.loadClass("mekanism.common.registration.impl.SlurryDeferredRegister")
const SLURRY = new $SlurryDeferredRegister("kubejs")
*/


//SLURRY.register("dirty_zinc_slurry", 0xA5C0A0)
//SLURRY.register($EventBuses.getModEventBus("kubejs").get())

/*
StartupEvents.registry('mekanism:slurry', event => {
  event.create('dirty_zinc_slurry').color(0xA5C0A0).displayName('污浊锌浆液')
  event.create('clean_zinc_slurry').color(0xD6FFDC).displayName('纯净锌浆液')
})
  */

console.info('Hello, World! (Loaded startup scripts)')

/*
//属性修改
StartupEvents.postInit(event => {
  //魔力钢套（耐久值）
  Item.modify("botania:manasteel_helmet", item => {
      item.maxDamage = 526; // 直接设置耐久值
    });
    Item.modify("botania:manasteel_chestplate", item => {
      item.maxDamage = 556; // 直接设置耐久值
    });
    Item.modify("botania:manasteel_leggings", item => {
      item.maxDamage = 540; // 直接设置耐久值
    });
    Item.modify("botania:manasteel_boots", item => {
      item.maxDamage = 508; // 直接设置耐久值
    });
    //泰拉钢套（耐久值）
    Item.modify("botania:terrasteel_helmet", item => {
      item.maxDamage = 1026;
    });
    Item.modify("botania:terrasteel_chestplate", item => {
      item.maxDamage = 1056;
    });
    Item.modify("botania:terrasteel_leggings", item => {
      item.maxDamage = 1040;
    });
    Item.modify("botania:terrasteel_boots", item => {
      item.maxDamage = 1008;
    });
})
*/
